Jump to content

Text Justification is Outside Of Object How to solve this?


Recommended Posts

Posted



; text is outside of object



(DEFUN C:LL()

  (command "ucs" "w" )

  (SETQ

    P1(GETPOINT "\n PICK 1")

    P2(GETPOINT P1 "\n PICK 2")

    TP(/(DISTANCE P1 P2)2)

    TA(ANGLE P1 P2)

    )
  
   (command "ucs" "3" p1 p2 "")

  (repeat 100

  (SETQ

    DV(GETREAL "\n ENTER VALUE:")

    P3(POLAR P1 ta DV)

    P4(POLAR P1 ta (/ dv 2))

    xv(car p4)yv(cadr p4) xy(list xv yv)

    )
  
  (COMMAND "POINT" (trans P3 0 1 ))

  (ENTMAKE (LIST (CONS 0 "TEXT")
                   (CONS 100 "AcDbEntity")
                   (CONS 100 "AcDbText")
                   (CONS 10 (trans (LIST XV YV) 0 1)) ; POINT
                   (CONS 40 3)
                   (CONS 7 (GETVAR 'textstyle))
                   (CONS 8 (getvar "CLAYER"))
                   (CONS 62 1)
                   (CONS 1 (RTOS DV 2 2)) ;VALUE
                   (cons 50
			 (if (minusp (cos ta))
                         (+ pi ta)
                         ta
                        )
			 )
		    (CONS 72 1)

		    (CONS 73 1)	 


		 ))))

		   


  
  

 

TEXT PROBLEM.jpg

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...